create view UNFINISHED_TIME_DETAIL as
select bdo.details_no as "detailsNo",
       bdo.order_id as "orderId",
       bdo.details_time as "detailsTime",
       rc.capacity_number as "capacityNumber",
       rct.capacity_type_name as "capacityType",
       air.requirement_type as "requirementType",
       bdo.price_id as "priceId",
       bdo.details_amount as "detailsAmount"
from bmstruck_details_order bdo
join omstruck_order oo on bdo.order_id=oo.order_id
join rms_capacity rc on oo.capacity_id=rc.capacity_id
join rms_capacity_type rct on rc.capacity_type_id=rct.capacity_type_id
join amstruck_inward_plan aip on oo.order_plan_id=aip.plan_id
join amstruck_requirement_plan arp on aip.plan_id=arp.plan_id
join amstruck_inward_requirement air on arp.requirement_plan_id=air.requirement_id
join rms_line rl on air.line_id=rl.line_id
where air.requirement_type=1 and bdo.wether_to_statement=0 and oo.order_type=4
/

